about summary refs log tree commit diff
path: root/test/ppmpat.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-07-07 17:00:14 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-07-07 17:00:14 +0000
commit4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0 (patch)
tree6effecc25eeea480879836d37986a23db79486e4 /test/ppmpat.test
parent8bc04132312c3602ff99706dae49677aec0b2041 (diff)
downloadnetpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.tar.gz
netpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.tar.xz
netpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.zip
Add 'testrandom', use it instead of pgmnoise --testrandom (code for which was never released) in the tests
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@1976 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/ppmpat.test')
-rwxr-xr-xtest/ppmpat.test5
1 files changed, 2 insertions, 3 deletions
diff --git a/test/ppmpat.test b/test/ppmpat.test
index 669cf17c..af0ce956 100755
--- a/test/ppmpat.test
+++ b/test/ppmpat.test
@@ -1,11 +1,10 @@
 #! /bin/bash
 # This script tests: ppmpat
-# Also requires: pgmnoise
 
 # TODO: Write tests for squig and poles.  It appears that they are
 # sensitive to differences in floating point math.
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
        # Test 1. Should print: 4008533639 781
@@ -31,5 +30,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac